
TYPO3.Flow - Bug # 34527

Status: Resolved Priority: Must have
Author: Kira Backes Category: Persistence
Created: 2012-03-05 Assigned To: Karsten Dambekalns
Updated: 2012-05-30 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.0
Subject: Add method in repositories does also update
Description

The add method in repositores does also update existing entities, this is a dangerous security flaw, as it allows an attacker to misuse
creation forms (i.e. a register form) and change existing entities.

Associated revisions
Revision 2290d9fe - 2012-05-29 10:50 - Karsten Dambekalns

[BUGFIX] PersistenceManager->add() now requires objects being new

The add method in repositories did also update existing entities,
this can be dangerous, as it allows an attacker to misuse creation
forms (i.e. a register form) and change existing entities.

Change-Id: I4f3bd277cb9a7444d75472ecb10844bf3d792f89
Fixes: #34527
Releases: 1.0, 1.1, 1.2

Revision 102cee20 - 2012-05-30 10:31 - Karsten Dambekalns

[TASK] Tweak wrong docblock in PersistenceManager->add()

The change to fix #34527 introduced a wrong @throws clause in
the method docblock.

Change-Id: If73c0b760b5d3dd89c65f2a629f56427e592dee4
Related: #34527
Releases: 1.1

Revision 96b49cb6 - 2012-05-30 13:17 - Karsten Dambekalns

[BUGFIX] Fix QueryTest using add twice for the same object

The new check for objects being added to persistence broke one
of the tests in the functional QueryTest. Turns out the test
was buggy, adding the same object twice (instead of a different
one).
Change-Id: Ia41f1497dfca6f06355c3b6c096929092c98d56e
Related: #34527
Releases: 1.1

Revision df6b6f45 - 2012-05-30 13:22 - Karsten Dambekalns

[BUGFIX] PersistenceManager->add() now requires objects being new

The add method in repositories did also update existing entities,
this can be dangerous, as it allows an attacker to misuse creation
forms (i.e. a register form) and change existing entities.

Change-Id: I4f3bd277cb9a7444d75472ecb10844bf3d792f89
Fixes: #34527
Releases: 1.0, 1.1, 1.2

Revision 8d4b3c70 - 2012-05-30 20:00 - Karsten Dambekalns

[BUGFIX] PersistenceManager->add() now requires objects being new

The add method in repositories did also update existing entities,
this can be dangerous, as it allows an attacker to misuse creation
forms (i.e. a register form) and change existing entities.

Change-Id: I4f3bd277cb9a7444d75472ecb10844bf3d792f89
Fixes: #34527
Releases: 1.0, 1.1, 1.2

History
#1 - 2012-03-06 11:55 - Andreas Förthner
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow
- Assigned To set to Andreas Förthner

#2 - 2012-03-07 16:39 - Karsten Dambekalns
- Category set to Security
- Status changed from New to Accepted
- Has patch set to No
- Affected Flow version changed from Git master to Git 1.0

Right, Doctrine doesn't differentiate between add and update in it's API. So we'd need to do this "on our side".

#3 - 2012-04-26 17:30 - Karsten Dambekalns
- Assigned To changed from Andreas Förthner to Karsten Dambekalns
- Target version set to 1.0.5

#4 - 2012-04-26 17:30 - Karsten Dambekalns
- Category changed from Security to Persistence
#5 - 2012-05-25 11:31 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11595

#6 - 2012-05-25 11:31 - Karsten Dambekalns
- Target version changed from 1.0.5 to 1.1 beta 2

#7 - 2012-05-29 10:39 - Gerrit Code Review

Patch set 2 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11595

#8 - 2012-05-29 10:50 - Gerrit Code Review

Patch set 3 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11595

#9 - 2012-05-30 10:28 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11715

#10 - 2012-05-30 10:28 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/11716

#11 - 2012-05-30 10:34 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11715

#12 - 2012-05-30 10:36 - Gerrit Code Review

Patch set 2 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/11716

#13 - 2012-05-30 10:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2290d9febc7b7fc9a5bb0d67d8f89e97c8a345f0.
#14 - 2012-05-30 13:20 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11715

#15 - 2012-05-30 13:22 - Gerrit Code Review

Patch set 3 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/11716

#16 - 2012-05-30 13:27 - Karsten Dambekalns
- Status changed from Under Review to Resolved

#17 - 2012-05-30 20:00 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11715

#18 - 2012-05-30 20:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:8d4b3c7099b597525ebb3406dbef0b9f204d67d2.
